# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsPySvn/SvnRepoBrowserDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_SvnRepoBrowserDialog(object):
    def setupUi(self, SvnRepoBrowserDialog):
        SvnRepoBrowserDialog.setObjectName("SvnRepoBrowserDialog")
        SvnRepoBrowserDialog.resize(650, 500)
        self.gridlayout = QtWidgets.QGridLayout(SvnRepoBrowserDialog)
        self.gridlayout.setObjectName("gridlayout")
        self.label = QtWidgets.QLabel(parent=SvnRepoBrowserDialog)
        self.label.setObjectName("label")
        self.gridlayout.addWidget(self.label, 0, 0, 1, 1)
        self.urlCombo = QtWidgets.QComboBox(parent=SvnRepoBrowserDialog)
        self.urlCombo.setEditable(True)
        self.urlCombo.setInsertPolicy(QtWidgets.QComboBox.InsertPolicy.InsertAtTop)
        self.urlCombo.setObjectName("urlCombo")
        self.gridlayout.addWidget(self.urlCombo, 0, 1, 1, 1)
        self.repoTree = QtWidgets.QTreeWidget(parent=SvnRepoBrowserDialog)
        self.repoTree.setAlternatingRowColors(True)
        self.repoTree.setAllColumnsShowFocus(True)
        self.repoTree.setColumnCount(5)
        self.repoTree.setObjectName("repoTree")
        self.gridlayout.addWidget(self.repoTree, 1, 0, 1, 2)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=SvnRepoBrowserDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Close|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridlayout.addWidget(self.buttonBox, 2, 1, 1, 1)

        self.retranslateUi(SvnRepoBrowserDialog)
        self.buttonBox.rejected.connect(SvnRepoBrowserDialog.reject) # type: ignore
        self.buttonBox.accepted.connect(SvnRepoBrowserDialog.accept) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(SvnRepoBrowserDialog)
        SvnRepoBrowserDialog.setTabOrder(self.urlCombo, self.repoTree)
        SvnRepoBrowserDialog.setTabOrder(self.repoTree, self.buttonBox)

    def retranslateUi(self, SvnRepoBrowserDialog):
        _translate = QtCore.QCoreApplication.translate
        SvnRepoBrowserDialog.setWindowTitle(_translate("SvnRepoBrowserDialog", "Subversion Repository Browser"))
        self.label.setText(_translate("SvnRepoBrowserDialog", "URL:"))
        self.urlCombo.setToolTip(_translate("SvnRepoBrowserDialog", "Enter the URL of the repository"))
        self.repoTree.setSortingEnabled(True)
        self.repoTree.headerItem().setText(0, _translate("SvnRepoBrowserDialog", "File"))
        self.repoTree.headerItem().setText(1, _translate("SvnRepoBrowserDialog", "Revision"))
        self.repoTree.headerItem().setText(2, _translate("SvnRepoBrowserDialog", "Author"))
        self.repoTree.headerItem().setText(3, _translate("SvnRepoBrowserDialog", "Size"))
        self.repoTree.headerItem().setText(4, _translate("SvnRepoBrowserDialog", "Date"))
